Delete a robot
Delete a Robot.
/robots/{robot_id}Delete a Robot.
In: cookie
Path Parameters
Robot ID
Response Body
application/json
curl -X DELETE "https://example.com/robots/cc5lnd2s1s4652adtu50"{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Create a robot POST
Create a new Robot with the specified configuration. A Robot in Storyden consists of a name and description (for humans) as well as a playbook, and a set of available tools to interact with Storyden or plugins. The playbook is a detailed set of instructions that guides behaviour of the Robot to help it assist members in achieving a specific automation goal. Tools are available from either Storyden or plugins that allow it to perform actions or query data. Robots never need all tools and it's best to build goal-specific Robots with minimal sets of tools.
Get a robot GET
Retrieve a specific Robot by its ID. Does not include any messages or sessions associated with the Robot, just provides metadata about it.